%define release 17

Summary:	Metapackage for Python SciPy Stack packages
Name:		task-python-scipy-stack
Version:	1
Release:	%mkrel %release
License:	GPLv3
Group:		Development/Python
BuildArch:	noarch

%description
This metapackage will install the core packages of SciPy Stack to scientific
computing in Python. The packages are:

* Python: a general purpose programming language;
* NumPy: the fundamental package for numerical computation;
* SciPy: a collection of numerical algorithms and domain-specific toolboxes;
* Matplotlib: a mature and popular plotting package;
* pandas: providing high-performance, easy to use data structures;
* SymPy: for symbolic mathematics and computer algebra;
* IPython: a rich interactive interface, letting you quickly process data.

#------------------------------------------------------------------------------
%define py3package task-python3-scipy-stack

%package -n %py3package
Summary:	Metapackage for Python 3 SciPy Stack packages
Group:          Development/Python

Requires:       python3

Requires:       python3-numpy

Requires:       python3-scipy

Requires:       python3-matplotlib

Requires:       ipython

Requires:       python3-sympy

Requires:       python3-pandas

%description -n %py3package
This metapackage will install the core packages of SciPy Stack to scientific
computing in Python 3. The packages are:

* Python 3: a general purpose programming language;
* NumPy: the fundamental package for numerical computation;
* SciPy: a collection of numerical algorithms and domain-specific toolboxes;
* Matplotlib: a mature and popular plotting package;
* pandas: providing high-performance, easy to use data structures;
* SymPy: for symbolic mathematics and computer algebra;
* IPython: a rich interactive interface, letting you quickly process data.

%files -n %py3package



%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1-17.mga10
+ Revision: 2234926
- Mageia 10 Mass Rebuild

* Tue Jan 28 2025 papoteur <papoteur> 1-16.mga10
+ Revision: 2142965
- remove python3-nose from dependencies, no more provided

* Mon Mar 21 2022 umeabot <umeabot> 1-15.mga9
+ Revision: 1811982
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1-14.mga8
+ Revision: 1536363
- Mageia 8 Mass Rebuild

* Fri Oct 18 2019 daviddavid <daviddavid> 1-13.mga8
+ Revision: 1454405
- drop python2 support

* Mon Jan 21 2019 kekepower <kekepower> 1-12.mga7
+ Revision: 1358777
- ipython3 renamed to ipython

* Fri Sep 21 2018 umeabot <umeabot> 1-11.mga7
+ Revision: 1291746
- Mageia 7 Mass Rebuild

* Tue Aug 08 2017 philippem <philippem> 1-10.mga7
+ Revision: 1139030
- there is no more ipython2

* Thu Apr 21 2016 philippem <philippem> 1-9.mga6
+ Revision: 1004056
- change requires for new ipython

* Mon Feb 08 2016 umeabot <umeabot> 1-8.mga6
+ Revision: 950024
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 filipesaraiva <filipesaraiva> 1-7.mga5
+ Revision: 792161
- Back to Requires;

* Mon Oct 20 2014 filipesaraiva <filipesaraiva> 1-6.mga5
+ Revision: 792099
- Back to Recommends;
- Release updated;

* Wed Oct 15 2014 umeabot <umeabot> 1-5.mga5
+ Revision: 742366
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 filipesaraiva <filipesaraiva> 1-4.mga5
+ Revision: 737208
- Change Recommends to Requires;

* Tue Sep 16 2014 umeabot <umeabot> 1-3.mga5
+ Revision: 689714
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue May 06 2014 filipesaraiva <filipesaraiva> 1-2.mga5
+ Revision: 620370
- Removed unused tags of python 3 package;
- Release incremented.

* Sun May 04 2014 filipesaraiva <filipesaraiva> 1-1.mga5
+ Revision: 620075
- imported package task-python-scipy-stack

